require("src.kyle")
wf = require("src.lib.windfield")
anim8 = require("src.lib.anim8")
sti = require("src.lib.sti")
vector = require("src.lib.hump.vector")
require("src.colliders")

function love.load()
    world = wf.newWorld(0, 9999)
    world:addCollisionClass("collider")
    world:addCollisionClass("kyle")
    map = sti("src/maps/untitled.lua")
    colliders:load()
    debugging = true
    kyle:load()
end

function love.keypressed(key)
    if key == "escape" then
        love.event.quit()
    end
    if key == "f3" and debugging == false then
        debugging = true
    elseif key == "f3" and debugging == true then
        debugging = false
    end
    kyle:keypressed(key)
end

function love.draw()
    map:draw()
    if debugging == true then
        love.graphics.print(tostring(love.timer.getFPS()))
        world:setQueryDebugDrawing(true)
        world:draw()
    else
        world:setQueryDebugDrawing(false)
    end
    kyle:draw()
end

function love.update(dt)
    world:update(dt)
    kyle:update(dt)
end
